<?php
/*
Plugin Name: Xeroom - Woocommerce to Xero accounts synch 
Plugin URI:  http://www.xeroom.com/
Description: The Xeroom plugin will send all purchase invoices generated in WooCommerce to Xero and create new product lines if they don’t already exist.
Version:     Xeroom V 1.5.2
Author:      Peter Lloyd
Author URI:  http://www.xeroom.com/
*/
require_once('xeroom_indexInit.php');
add_action('admin_menu','xeroom_menu_icon_under_admin');
add_action('woocommerce_checkout_order_processed','xeroom_sendWooInvoiceToXero');
add_action('woocommerce_order_status_completed','xeroom_paymentDoneOnStatusCompleted');
add_action('woocommerce_payment_complete','xeroom_paymentDoneOnCheckout');
register_activation_hook( __FILE__, 'xeroom_master_install');
register_uninstall_hook('uninstall.php','xeroom_master_uninstall');
?>