<?php
global $wpdb;
$licenseMessage		 = "";
$licenseErrMessage	 = "";
$message 			 = "";
$xeroCredentialTable = $wpdb->prefix . "xeroom_credentials";
$xeroLicActive		 = $wpdb->prefix . "xeroom_license_key_status";
if(sanitize_text_field(isset($_POST['xero_api_key'])) && sanitize_text_field($_POST['xero_api_key'] != "")){
	$taxTableName	 = $wpdb->prefix."xeroom_tax";
	$xeroApiKey 	 = sanitize_text_field($_POST['xero_api_key']);
	$xeroApiSecret 	 = sanitize_text_field($_POST['xero_api_secret']);
	$salesAccount 	 = intval($_POST['sales_account']);
	$bank_Code  	 = intval($_POST['bank_code']);
	$tax_Code  		 = sanitize_text_field($_POST['tax_code']);
	$asset_Code  	 = intval($_POST['asset_code']);
	$sold_Code  	 = intval($_POST['sold_code']);
	$stockMaster  	 = sanitize_text_field($_POST['stockMaster']);
	$productMaster   = sanitize_text_field($_POST['productMaster']);
	$paymentMaster   = sanitize_text_field($_POST['paymentMaster']);
	$wpdb->update($xeroCredentialTable, 
		array(
			'xero_api_key'		=>	$xeroApiKey,
			'xero_api_secret'	=>	$xeroApiSecret,
			'sales_account'		=>	$salesAccount,
			'bank_code'			=>	$bank_Code,
			'tax_code'			=>	$tax_Code,
			'asset_code'		=>	$asset_Code,
			'sold_code'			=>	$sold_Code,
			'stock_master'		=>	$stockMaster,
			'product_master'	=>	$productMaster,
			'payment_master'	=>	$paymentMaster
		), 
		array('id' => 1) 
	);
	$wpdb->query("Delete From " . $taxTableName . " where id!=''");
	$message				= "Xero credentials saved successfully!";
}
$sql 						= "SELECT *  FROM ".$xeroCredentialTable." WHERE id=1";
$xeroCredentialsFromTbl 	= $wpdb->get_results($sql);

$xeroApiKey			= $xeroCredentialsFromTbl[0]->xero_api_key;
$xeroApiSecret		= $xeroCredentialsFromTbl[0]->xero_api_secret;
$salesAccount		= $xeroCredentialsFromTbl[0]->sales_account;
$bank_Code			= $xeroCredentialsFromTbl[0]->bank_code;
$tax_Code			= $xeroCredentialsFromTbl[0]->tax_code;
$asset_Code			= $xeroCredentialsFromTbl[0]->asset_code;
$sold_Code			= $xeroCredentialsFromTbl[0]->sold_code;
$stockMaster		= $xeroCredentialsFromTbl[0]->stock_master;
$productMaster		= $xeroCredentialsFromTbl[0]->product_master;
$paymentMaster		= $xeroCredentialsFromTbl[0]->payment_master;

if(sanitize_text_field(isset($_POST['zeroom_license_key'])) && sanitize_text_field($_POST['zeroom_license_key']) !=""){ 
	$license_key	= sanitize_text_field($_POST['zeroom_license_key']);	
	$url 			= "http://www.xeroom.com/apidata.php?license_key=".$license_key;
	$result 		= wp_remote_fopen(esc_url($url));
	$validLicense	= json_decode($result, true);
	if(count($validLicense) > 0){
		if($validLicense[0]['lic_status'] == 'active'){
			$wpdb->update($xeroLicActive, 
			array(
				'license_key'		=>	$license_key,
				'status'			=>	'active',
				'xero_method'		=>	'premium'
			), 
			array('id' => 1) );
			echo $licenseMessage         =   "Xeroom Premium Version is Successfully Activated!";
		}
	}else{
		echo $licenseErrMessage         	=   "your premium key is not active or wrong, Please contact xeroom support.";
	}
}	
if(sanitize_text_field(isset($_POST['zeroom_license_email'])) && sanitize_text_field($_POST['zeroom_license_email'] !="")){
	$subEmail				= sanitize_email($_POST['zeroom_license_email']);	
	$url= "http://www.xeroom.com/emailsubscription.php?subscription_email=".$subEmail;
	$result 				= wp_remote_fopen(esc_url($url));
	$validLicense			= json_decode($result, true);
	if(count($validLicense) > 0){
		$licenseKey			= sanitize_text_field($validLicense[0]['license_key']);
		$wpdb->update($xeroLicActive, 
		array(
			'license_key'		=>	$licenseKey,
			'status'			=>	'active',
			'xero_method'		=>	'trail',
		), 
		array('id' => 1));
		$licenseMessage         =   "Xeroom Free Version is Successfully Activated!";
	}else{
		$licenseErrMessage      =   "OOPS! something went wrong please try again.";
	}
}
$sql				= 	"SELECT * FROM ".$xeroLicActive." WHERE id=1";
$xeroLicensekeyAct	= 	$wpdb->get_results($sql);
$xero_plugin_staus  =	sanitize_text_field($xeroLicensekeyAct[0]->status);
$xero_plugin_license=	intval($xeroLicensekeyAct[0]->license_key);
$xero_plugin_method =	sanitize_text_field($xeroLicensekeyAct[0]->xero_method);
$wait               =   "Yes";
if($xero_plugin_method == "premium"){
	if($xero_plugin_staus == "active"){
		$xeroMesssage	= "Xeroom Premium Active";
	}else{
		$xeroMesssage	= "Xeroom Premium Deactive";
	}
} else{
	if($xero_plugin_staus == "active"){
		$xeroMesssage	= "Free Version Active";
	}else{
		$xeroMesssage	= "Awaiting Activation!";
		$wait           = "no"; 
	}
}
$apijspath 	=  esc_url(XEROOM_JS_PATH.'xeroom_api_fields.js');
$apicsspath =  esc_url(XEROOM_CSS_PATH.'xeroom_style.css');
wp_enqueue_script('xeroom_api_fields', $apijspath);
wp_enqueue_style("xeroom_style", $apicsspath); 
?> 
<div id="getstatus"></div>
<div class="xero_left xero_inputdiv">
	<div class="xeroom-logo"><img src="<?php echo XEROOM_HTTP_PATH;?>images/logo/xeroom.png"></div>
	<div style="text-align: center; margin-top: 51px; width: 185%; margin-bottom: -40px;">Version 1.5.1</div>
</div>
<div class="xero_clear"></div>		
<?php if(sanitize_text_field(!isset($_REQUEST['xeroom_debug']))){ ?>	
<div class="content">
	<div class="xero_clear"></div>
	<h3>Generate Xeroom License Key</h3>
	<div class="xero_clear"></div>
	<div class="xero_lic_button">
		<div class="xero_left xero_trail" onclick="showEmailForm()" >Get Xeroom Trial License</div>
		<a href="http://xeroom.com/product/xeroom-premium-version/" target="_blank">
			<div class="xero_left xero_premium">Get Premium Xeroom</div>
		</a>
	</div>
	<div class="xero_clear"></div>
	<div class="xeroUnderneath">Get a lifetime licence for just $97, installation and test for $97, annual support & upgrades $97, Xero accounts setup $97 by a Chartered Accountant</div>
	<div class="xero_clear"></div>
	<div class="button-primary xero-primary xeroInstButton" onclick="document.location.href='http://www.xeroom.com/installation-instructions/'">Installation Instructions</div>
	<div class="button-primary xero-primary xeroInstButton" onclick="document.location.href='https://wordpress.org/support/plugin/xeroom'" style="margin-left: 12px ! important;">Support, Fixes & Upgrades</div>
	<div class="button-primary xero-primary xeroInstButton" onclick="document.location.href='http://www.xeroom.com/'" style="margin-left: 12px ! important;">Xeroom Website</div>
	<div class="xero_clear"></div>
	<div class="xero_email" id="xero_email">
		<form method="post" name="zeroom_email" action="">
			<div class="xero_left xero_label">Enter Email Address</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="" class="xero_input" id="zeroom_license_email" name="zeroom_license_email" placeholder="Please enter valid email address!"></input>
			</div>
			<div class="xero_clear"></div>
			<div class="button-primary xero-primery" onclick="check_zeroom_email();">Submit</div>
			<div class="button-primary xero-primery" onclick="hideEmailForm();" style="margin: 12px 0 0 15px !important;">Cancel</div>
		</form>
	</div>
</div>
<div class="content">
	<div class="xero_clear"></div>
	<h3>Xeroom License Key</h3>
	<div class="xero_clear"></div>
	<?php if(isset($licenseMessage) && $licenseMessage !=""){ ?>
		<div class="xero_heading" style="margin-left:220px"><?php echo $licenseMessage; ?></div>
	<?php } else if(isset($licenseErrMessage) && $licenseErrMessage !=""){ ?>
		<div  class="xero_heading" style="color:red !important;margin-left:220px"><?php echo $licenseErrMessage; ?></div>
	<?php } ?>
	<div class="xero_clear"></div>
	<div class="xero_license">
		<form method="post" name="zeroom_activate_license" id="zeroom_activate_license" action="">
			<div class="xero_clear"></div>
			<div class="xero_left xero_label">Status</div>
			<div class="xero_left xero_inputdiv">
			<?php if($xero_plugin_staus == 'active'){ ?>
				<div class="xero_premium xero_statusn" style="background-color:<?php if($xero_plugin_method=="trail") echo "#00cc00"; else echo "#00802B"; ?>"><?php echo $xeroMesssage; ?></div>
			<?php } else { ?>
				<div class="xero_trail xero_statusn" style="background-color:#119DCB;"><?php echo $xeroMesssage; ?></div>
			<?php } ?>
			</div>
			<div class="xero_clear"></div>
			<div class="xero_left xero_label">Xeroom License Key</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="" class="xero_input" id="zeroom_license_key" name="zeroom_license_key" placeholder="Please enter Xeroom license key!"></input>
			</div>
			<div class="xero_clear"></div>
			<div class="button-primary xero-primery" onclick="check_license_key();">Submit</div>
		</form>
	</div>
</div>
<div class="content">
<div class="xero_clear"></div>
<h3>Xero Settings</h3>
<div class="xero_clear"></div>
<span class="xero_heading" style="margin-left: 220px;"><?php echo $message; ?></span>
<div class="clear"></div>
<div>
	<form action="" method="post" name="xero_api_key_submit">
		<div>
			<div class="xero_left xero_label">Xero Api Key</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" placeholder="Enter Your Xero Api Key" value="<?php echo $xeroApiKey; ?>" class="xero_input" name="xero_api_key" id="xero_api_key"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Xero Api Secret</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" placeholder="Enter Your Xero Secret Key" value="<?php echo $xeroApiSecret; ?>" class="xero_input" name="xero_api_secret" id="xero_api_secret"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Sales Account</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="<?php echo $salesAccount; ?>" class="xero_input" name="sales_account" id="sales_account"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Bank Account</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="<?php echo $bank_Code; ?>" class="xero_input" name="bank_code" id="sales_account"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Sales Tax Account Name</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="<?php echo $tax_Code; ?>" class="xero_input" name="tax_code" id="tax_account"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Inventory Asset Account</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="<?php echo $asset_Code; ?>" class="xero_input" name="asset_code" id="asset_code"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Goods Sold Account</div>
			<div class="xero_left xero_inputdiv">
				<input type="text" value="<?php echo $sold_Code; ?>" class="xero_input" name="sold_code" id="sold_code"></input>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Synch Inventory Master</div>
			<div class="xero_left xero_inputdiv">
				<div style="font-weight: bold; margin-top: 8px;">
				<input type="radio" class="xero_input" name="stockMaster" value="w" id="wooMaster" <?php if($stockMaster == "w"){ echo 'checked="checked"';  } ?>></input> Woocommerce &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="radio" class="xero_input" name="stockMaster" value="x" id="xeroMaster" <?php if($stockMaster == "x"){ echo 'checked="checked"';  } ?>></input> Xero &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="radio" class="xero_input" name="stockMaster" value="n" id="noneMaster" <?php if($stockMaster == "n"){ echo 'checked="checked"';  } ?>></input> None
				</div>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Prod Desc and Price Master</div>
			<div class="xero_left xero_inputdiv">
				<div style="font-weight: bold; margin-top: 8px;">
				<input type="radio" class="xero_input" name="productMaster" id="wooPMaster" value="w"  <?php if($productMaster == "w"){ echo 'checked="checked"';  } ?>></input> Woocommerce &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="radio" class="xero_input" name="productMaster" id="xeroPMaster" value="x"  <?php if($productMaster == "x"){ echo 'checked="checked"';  } ?>></input> Xero
				</div>
			</div>
		</div>
		<div class="clear"></div>
		<div>
			<div class="xero_left xero_label">Auto Complete</div>
			<?php if($paymentMaster == "y"){ ?>
				<style>#payment_auto_message{display:none;}</style>
			<?php } ?>
			<div class="xero_left xero_inputdiv">
				<div style="font-weight: bold; margin-top: 8px;">
				<input onclick="return hideXeroomMessage();" type="radio" class="xero_input" name="paymentMaster" id="wooPMaster" value="y"  <?php if($paymentMaster == "y"){ echo 'checked="checked"';} ?>></input> Yes &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input  onclick="return showXeroomMessage();" type="radio" class="xero_input" name="paymentMaster" id="xeroPMaster" value="n"  <?php if($paymentMaster == "n"){ echo 'checked="checked"';} ?>></input> No
				<br>
				<div id="payment_auto_message">You need to complete the order in Woo and post it to Xero with the payment.</div>
				</div>
			</div>
		</div>
		<div class="clear"></div>
		<div class="button-primary xero-primery" onclick="submitLicKey();">Submit</div>
		<div class="clear"></div>
	</form>
</div>
</div>
<div class="content">
	<div class="xero_clear"></div>
	<h3>Xero Debug Link</h3>
	<div class="xero_clear"></div>
	<div class="clear"></div>
	<div style="margin: -5px 0 0 188px;">
		<a href="admin.php?page=add_xero_api_fields&xeroom_debug">
			<div class="xero_left xero_premium" style="background-color:#119DCB!important">Debug Page</div>
		</a>
	</div>
</div>
<?php } else{ ?>
<div class="content" id="showMyDeb">
<table class="orderMain">
	<tr>
		<td class="orderBox" width="1">Order Id</td>
		<td class="orderBox" width="226">Debug</td>
		<td class="orderBox" width="135">Created Date</td>
	</tr>
</table> 
<table class="orderMain">
<?php
$sql				= 	"SELECT * FROM `".$wpdb->prefix ."xeroom_debug` ORDER BY id DESC LIMIT 0,10";
$getAlldebug     	= 	$wpdb->get_results($sql);
if(count($getAlldebug) >0){
	for($i=0;$i<count($getAlldebug);$i++){
	$orderId   			=   intval($getAlldebug[$i]->order_id);
	$debugMessage   	=   $getAlldebug[$i]->debug;
	$createdDate   		=   $getAlldebug[$i]->created_date;
	?>
	<tr>
		<td class="resultBox" width="39"><?php echo $orderId;?></td>
		<td class="resultBox" width="226"><?php echo $debugMessage;?></td>
		<td class="resultBox" width="135"><?php echo $createdDate;?></td>
	</tr>
<?php } } else{  ?>
	<tr>
		<td class="resultBox" width="100%" style="color:red">No Bug Found!</td>
	</tr>
<?php } ?>
</table> 
<div class="clear"></div>
</div>
<?php } ?>